## flasm 1.62

=== Makefile ===
UNAME = $(shell uname)
CC = gcc
CFLAGS = -g -Wall -O2
LIBS = -lz
OFILES = util.o keywords.o flasm.o unflasm.o lex.yy.o assembler.tab.o
GARBAGE = assembler.tab.* lex.yy.c memwatch.o gmon.out memwatch.log core

# if make debug, include memwatch and all symbols
ifneq (,$(findstring debug,$(MAKECMDGOALS)))
	CFLAGS += -DMEMWATCH -pg -p -pedantic -W -Wcast-align -Wcast-qual -Wshadow -Wnested-externs -Wstrict-prototypes -Waggregate-return -Wmissing-prototypes -Wpointer-arith
	OFILES += memwatch.o
else
	CFLAGS += -s
endif

# executable should not depend on cygwin.dll
ifneq (,$(findstring CYGWIN,$(UNAME)))
	CFLAGS += -mno-cygwin
endif

all:	flasm

debug:	flasm

clean:
	-rm -f ${OFILES} ${GARBAGE}

flasm:	${OFILES}
	${CC} $(CFLAGS) -o flasm ${OFILES} ${LIBS}

assembler.tab.c assembler.tab.h: assembler.y
	bison --defines --debug assembler.y

lex.yy.c: assembler.flex assembler.tab.h
	flex -i assembler.flex

keywords.c: keywords.gperf assembler.tab.h
	gperf --language=ANSI-C -t -T -E -o -k 1,$$,2,5 -S8 keywords.gperf > keywords.c

=== debian/changelog ===
flasm (1.62-7) unstable; urgency=low

  * Use canonical and fixed Vcs-* URLs
  * Use new style sf.net tracker URLs
  * Improve the watch file slightly
  * Add a file with info about upstream
  * Switch to debhelper compat 9, fix flags
  * Bump Standards-Version, no changes needed
  * Add more hardening

 -- Paul Wise <pabs@debian.org>  Sun, 02 Jun 2013 16:46:23 +0800

flasm (1.62-6) unstable; urgency=low

  * Register the documentation with doc-base

 -- Paul Wise <pabs@debian.org>  Sat, 12 Feb 2011 14:40:36 +0800

flasm (1.62-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt)
  * Switch to debhelper 7 dh build rules
  * Bump Standards-Version, no changes needed
  * Convert files to Unix line endings and UTF-8

 -- Paul Wise <pabs@debian.org>  Tue, 27 Jul 2010 17:20:46 -0400

flasm (1.62-4) unstable; urgency=low

  * Add a patch to rework the temporary file handling (Closes: #530383)
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Fri, 17 Jul 2009 19:08:17 +0200

flasm (1.62-3) unstable; urgency=low

  * Fix src pkg to work with dpkg-source 3.0 (quilt) (Closes: #485343)
  * Fix FTBFS with new version of bison (2.4.1) (patch from Gentoo/Fedora)
  * Implement support for parallel=n in DEB_BUILD_OPTIONS
  * Add a README.source pointing at the quilt README.source
  * Bump Standards-Version for the above changes

 -- Paul Wise <pabs@debian.org>  Sun, 22 Feb 2009 15:34:10 +0900

flasm (1.62-2) unstable; urgency=low

  * Move the Homepage to the new source package field
  * Make the patch process safe with multi-job make
  * Bump Standards-Version (no changes needed)
  * Add Vcs-* fields

 -- Paul Wise <pabs@debian.org>  Sat, 26 Apr 2008 14:22:19 +0800

flasm (1.62-1) unstable; urgency=low

  * New upstream release
    - Mention lack of Flash 9 support in the description
    - Update copyright information (years & trademarks)
  * Change my email address now that I'm a Debian Developer
  * Switch to debhelper compatibility level 5
  * Convert 01-config-file.patch to something useful to upstream
  * Distribute upstream CHANGES.TXT as NEWS instead of changelog
  * Don't ignore make clean failures (thanks lintian)
  * chmod -x before creating the tarball instead of at build time

 -- Paul Wise <pabs@debian.org>  Sun, 08 Jul 2007 13:25:45 +1000

flasm (1.61-1) unstable; urgency=low

  * New upstream release
  * Move config patch from diff.gz to quilt
  * Bump Standards-Version (no changes)

 -- Paul Wise <pabs3@bonedaddy.net>  Sun, 11 Jun 2006 22:51:39 +0800

flasm (1.6-1) unstable; urgency=low

  * Initial release Closes: #351429

 -- Paul Wise <pabs3@bonedaddy.net>  Tue,  4 Apr 2006 18:55:16 +0800

=== debian/control ===
Source: flasm
Section: utils
Priority: extra
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 gperf,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://flasm.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-flash/packages/flasm/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-flash/packages/flasm/trunk/

Package: flasm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: assembler and disassembler for Flash (SWF) bytecode
 Flasm disassembles your entire SWF including all the timelines and
 events. Looking at disassembly, you learn how the Flash compiler works.
 You can also do some optimization on the disassembled code by hand or
 adjust the code as you wish. Flasm can then re-assemble the bytecode
 into a new SWF.
 .
 It is also possible to embed Flasm actions in your ActionScript, making
 optimization of large projects more comfortable.
 .
 Flasm is not a decompiler. What you get is the human readable
 representation of SWF bytecode, not ActionScript source.
 .
 Flasm can also compress and decompress SWF files.
 .
 Flasm does not and may never work with Flash 9 files since Flash 9 is
 a new virtual machine and support for it would mean a full rewrite.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) LIBS="$(LDFLAGS) -lz" CFLAGS="$(CPPFLAGS) $(CFLAGS) -Wall -DCONFIG_PATH=\\\"/etc/flasm.ini\\\""
	mkdir -p build
	for f in flasm.ini classic.css flasm.html ; do sed 's/\r//' $$f > build/$$f ; done
	iconv -f ISO_8859-1 -t UTF-8 < CHANGES.TXT > build/NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build keywords.c flasm

=== debian/watch ===
version=3
http://www.nowrap.de/flasm.html .*/flasm([\d])([\d.]*)src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
